<?
$this->load->view('cpanel/header');
?>


<script>

var xmlhttp;



function GetXmlHttpObject()
{
if (window.XMLHttpRequest)
  {
  // code for IE7+, Firefox, Chrome, Opera, Safari
  return new XMLHttpRequest();
  }
if (window.ActiveXObject)
  {
  // code for IE6, IE5
  return new ActiveXObject("Microsoft.XMLHTTP");
  }
return null;
}




function dopagination(pageNumber)
{
xmlhttp=GetXmlHttpObject();
 if (xmlhttp==null)
  {
  alert ("Browser does not support HTTP Request");
  return;
  }


 document.getElementById("loading").style.display = "block";
 document.getElementById("loading").style.visibility = "visible";

var starttime=document.getElementById("starttime").value;
var stoptime=document.getElementById("stoptime").value;
var description=document.getElementById("description").value;
var moduleName=document.getElementById("moduleName").value;
var limit=document.getElementById("limit").value;


if(starttime=="")
starttime = "NULL";

if(stoptime=="")
stoptime = "NULL";


if(description=="")
description = "NULL";


if(moduleName=="")
moduleName = "NULL";


var url = "<?=site_url("admin/cpanel/accessLogPagi")?>";

var myRandom = parseInt(Math.random()*99999999); // cache buster


xmlhttp.onreadystatechange=stateChanged;
xmlhttp.open("GET", url + "/" + escape(pageNumber) + "/"  + escape(limit) + "/" + escape(starttime) + "/" + escape(stoptime) + "/" + escape(description) + "/" + escape(moduleName)  + "/" + myRandom, true);
xmlhttp.send(null);
}




function searchSucessCall()
{

xmlhttp=GetXmlHttpObject();
 if (xmlhttp==null)
  {
  alert ("Browser does not support HTTP Request");
  return;
  }



var starttime=document.getElementById("starttime").value;
var stoptime=document.getElementById("stoptime").value;
var description=document.getElementById("description").value;
var moduleName=document.getElementById("moduleName").value;
var limit=document.getElementById("limit").value;
var startoffset=0;


if(starttime=="")
starttime = "NULL";

if(stoptime=="")
stoptime = "NULL";


if(description=="")
description = "NULL";


if(moduleName=="")
moduleName = "NULL";

 document.getElementById("loading").style.display = "block";
 document.getElementById("loading").style.visibility = "visible";

var url = "<?=site_url("admin/cpanel/accessLogPagi")?>";

var myRandom = parseInt(Math.random()*99999999); // cache buster


xmlhttp.onreadystatechange=stateChanged;
xmlhttp.open("GET", url + "/" + escape(startoffset) + "/"  + escape(limit) + "/" + escape(starttime) + "/" + escape(stoptime) + "/" + escape(description) + "/" + escape(moduleName)  + "/" + myRandom, true);
xmlhttp.send(null);



}




function stateChanged()
{
if (xmlhttp.readyState==4)
{
rowID = "pagination";
document.getElementById("loading").style.visibility = "hidden";
document.getElementById(rowID).innerHTML=xmlhttp.responseText;
}
}





</script>


<!--<script type="text/javascript" src="<?=base_url()?>js/date.js"></script>

<script type="text/javascript" src="<?=base_url()?>js/jquery.datePicker.js"></script>
<link rel="stylesheet" type="text/css" media="screen" href="<?=base_url()?>css/date.css">


		<script type="text/javascript" charset="utf-8">
		$(function()
		{
			$('.formInputDate').datePicker().val(new Date().asString()).trigger('change');
		});
		</script>-->


<!-- required plugins -->
<script type="text/javascript" src="<?=base_url()?>js/date.js"></script>

<!-- jquery.datePicker.js -->
<script type="text/javascript" src="<?=base_url()?>js/jquery.datePicker.js"></script>

<link rel="stylesheet" type="text/css" href="<?=base_url()?>css/datePicker.css" media="screen" />

<link rel="stylesheet" type="text/css" href="<?=base_url()?>css/demo.css" media="screen" />


		<script type="text/javascript">
		$(function()
		{
			$('.formInputDate').datePicker({startDate:'1996-01-01'});
		});
		</script>





<div id = "loading" style="position:absolute;top:200px;left:530px;width;100px;height:100px; bgcolor:#f2f2f2; border:0px solid #99BBE8;zindex:250;display:none;">
<img src="<?=base_url()?>images/indicator2.gif?>" border="0" />
</div>


<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td id="right">

      <img src="<?=base_url()?>images/s.gif" width="600" height="1" border="0" alt="" />
      <div id="module_info">
                  <span>&nbsp;&nbsp;&raquo;</span> User Activity Log  <?=$titleErrorMessage?>   </div>


   <!-- Search Information -->

<fieldset class="search_box" id="advancedSearch" style="margin-bottom:0px;"><legend>Advanced Search</legend>


<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td align="right">From :</td>
    <td align="left"><input type="text" class = "formInputDate" name="starttime" id="starttime" value="<?=$starttime?>" style="width:90px"/></td>

    <td align="right">To :</td>
    <td align="left"><input type="text" class = "formInputDate" name="stoptime" id="stoptime" value="<?=$stoptime?>" style="width:90px"/></td>

    <td align="right">Description :</td>
    <td align="left"><input type="text" class = "formInput" name="description" id="description" value="" style="width:150px"/></td>

    <td align="right">Event :</td>
    <td align="left"><input type="text" class = "formInput" name="moduleName" id="moduleName" value="" style="width:100px"/></td>


    <td align="right">Recs :</td>
    <td align="left">
  <select name="limit" id="limit" class = "selectFrom" style="width:60px" onchange="searchSucessCall();">
	<option value="<?=LIMIT_PERPAGE?>"><?=LIMIT_PERPAGE?></option>
	<option value="<?=LIMIT_PERPAGE*2?>"><?=LIMIT_PERPAGE*2?></option>
	<option value="<?=LIMIT_PERPAGE*3?>"><?=LIMIT_PERPAGE*3?></option>
	<option value="<?=LIMIT_PERPAGE*4?>"><?=LIMIT_PERPAGE*4?></option>
</select>
    </td>

<td align="left">

	<a href="#" onclick="javascript:searchSucessCall();">
	<img src="<?=base_url()?>images/apply.gif" height="22" border="0" />
	</a>

</td>

  </tr>
</table>



</fieldset>

   <!-- End Search Information -->

    </td>
  </tr>

  <tr>
    <td>

<div id = "pagination">


	<?php
	$start = $startoffset * $limit + 1;
	$end = ($startoffset +1 )* $limit ;

	if($total<$start)
	$start = $total;

	if($total<=$end)
	$end = $total;
	?>


<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tableBorder">
  <tr>
    <td class="mainTableTitle">

      <span>&nbsp;&nbsp;&raquo;</span> User Activity Log List Total : <?=$total?> Showing <?=$start?> to <?=$end?>

    </td>
  </tr>


 <tr>
    <td>

 <!-- Clinets List -->

 <table class="gbTable">

   <tr class="header">
     <td width="2%"><div align="left" style="padding-left:5px;">NR</div></td>
     <td width="12%"><div align="left" style="padding-left:5px;">Date</div></td>
     <td width="8%"><div align="left" style="padding-left:5px;">Event</div></td>
     <td width="57%"><div align="left" style="padding-left:5px;">Description</div></td>
     <td width="8%"><div align="left" style="padding-left:5px;">User</div></td>
     <td width="5%"><div align="left" style="padding-left:5px;">Level</div></td>
     <td width="8%"><div align="left" style="padding-left:5px;">IP Address</div></td>
   </tr>



<?
$i=1;
if(is_array($userLogList))
{
foreach($userLogList as $row)
{
$passid =$row->id;


if($row->level !=-1)
$userLogin = $this->generallib->getResellerLogin($row->id_reseller,$row->level);
else
$userLogin = "Admin";



?>

      <?

	  		if($i%2==0)
	  		 {

	  		 $str = "
	  		 		 <TR id = \"$passid\" class=\"row2 \"
	  		 		               onmousedown=\"rowPointer(this, 'down', 'row2', 'rowSel', 'rowMark')\"
	  		 		               onmouseover=\"rowPointer(this, 'over', 'row2', 'rowSel', 'rowMark')\"
	  		               onmouseout=\"rowPointer(this, 'out', 'row2', 'rowSel', 'rowMark')\">";


	  		 }
	  		else
	  		 {
	  			$str = "
	  					 <TR id = \"$passid\" class=\"row1 \"
	  					               onmousedown=\"rowPointer(this, 'down', 'row1', 'rowSel', 'rowMark')\"
	  					               onmouseover=\"rowPointer(this, 'over', 'row1', 'rowSel', 'rowMark')\"
	  		               onmouseout=\"rowPointer(this, 'out', 'row1', 'rowSel', 'rowMark')\">";
	  		 }



	  echo $str;

	  ?>


 <td align=center class="tableBorderAll" style="padding-left:0px;padding-top:2px;padding-bottom:2px;"><input name="checkActive" type="checkbox"  id="checkActive" value="1" /></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;padding-top:2px;padding-bottom:2px;"><?=$row->date_time?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;padding-top:2px;padding-bottom:2px;"><?=$row->narration?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;padding-top:2px;padding-bottom:2px;"><?=$row->description?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;padding-top:2px;padding-bottom:2px;"><?=$userLogin?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;padding-top:2px;padding-bottom:2px;"><?=$row->level?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;padding-top:2px;padding-bottom:2px;"><?=$row->ip_address?></td>
   </tr>

<?
$i++;
}

}

?>


 </table>

<!-- End Clients List -->

    </td>
  </tr>

  <tr>
    <td align="center" style="padding-top:5px;">

    <input type="hidden" name="starttime" id="starttime" value="<?=$starttime?>" />
	<input type="hidden" name="stoptime" id="stoptime" value="<?=$stoptime?>" />
	<input type="hidden" name="description" id="description" value="<?=$description?>" />
	<input type="hidden" name="moduleName" id="moduleName" value="<?=$moduleName?>" />
	<input type="hidden" name="limit" id="limit" value="<?=$limit?>" />
	<input type="hidden" name="startoffset" id="startoffset" value="<?=$startoffset?>" />


<?


      $p = new paginationClass;
      $p->Items($total);

      if($startoffset==0)
      $startoffset = 1;

      $p->limit($limit);
      $p->target("paginator.php");
      $p->currentPage($startoffset);
      $p->adjacents(3);
      $p->show();



?>


    </td>
  </tr>

</table>

</div>



    </td>
  </tr>

</table>


<?
$this->load->view('cpanel/left_nemu');
$this->load->view('cpanel/footer');
?>
